services:
  odoo:
    image: odoo:19.0
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8069
    volumes:
      - ./data/data:/var/lib/odoo
      - ./data/addons:/mnt/extra-addons
    environment:
      - HOST=${PANEL_DB_HOST}
      - USER=${PANEL_DB_USER}
      - PASSWORD=${PANEL_DB_USER_PASSWORD}
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
